<div>
    <div style="display: flex; justify-content: center; margin-top: 20px;">
        <app-cluster-button [all]="true"></app-cluster-button>
        <app-cluster-button [none]="true"></app-cluster-button>
        <app-cluster-button *ngFor="let i of cluster" [legend]="i" [index]="cluster.indexOf(i)"></app-cluster-button>
    </div>
    <div style="height: 700%;" echarts [options]="options" class="demo-chart" (chartClick)="onChartEvent($event, 'chartClick')"></div>
</div>